Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.xsl.process
Class SortKey

    java.lang.Object
      com.novell.xsl.process.SortKey

    public class SortKey

extends Object

A sort key corresponding to an `xsl:sort` element.

Constructor Summary
`SortKey(Expression select, Expression orderExpr, Expression langExpr, Expression dataTypeExpr, Expression caseOrderExpr)` Constructs a sort key.

Method Summary
`void` | `dump(PrintWriter out, int indent)` Dumps this object to the specified output stream.
`Expression` | `getCaseOrderExpr()` Returns the string expression specifying whether upper-case or lower-case characters sort first; `null` means use a language-dependent default.
`Expression` | `getDataTypeExpr()` Returns the string expression specifying the data type of the sort keys; `null` means the sort keys are text.
`Expression` | `getLangExpr()` Returns the string expression specifying the language of the sort keys; `null` means the language is determined from the system environment.
`Expression` | `getOrderExpr()` Returns the string expression specifying whether the keys should be sorted in ascending or descending order; `null` means ascending order.
`Expression` | `getSelect()` Returns the select pattern to be evaluated to obtain the sort key value; `null` means select the current node.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SortKey

    public SortKey(Expression select,
                   Expression orderExpr,
                   Expression langExpr,
                   Expression dataTypeExpr,
                   Expression caseOrderExpr)

  Constructs a sort key.

  Parameters:
    `select` - the select expression to be evaluated to obtain the sort key value; `null` means use `"."`
    `orderExpr` - a string expression specifying whether the keys should be sorted in ascending or descending order; should evaluate to `"ascending"` or `"descending"`; `null` means use `"ascending"`
    `langExpr` - a string expression specifying the language of the sort keys; should evaluate to a legal `xml:lang` value; `null` means determine the language from the system environment
    `dataTypeExpr` - a string expression specifying the data type of the sort keys; should evaluate to `"text"` or `"number"`; `null` means use `"text"`
    `caseOrderExpr` - a string expression specifying whether upper-case or lower-case characters sort first; ignored if the data type is not `"text"`; should evaluate to `"upper-first"` or `"lower-first"`; `null` means use a language-dependent default

Method Detail

### getSelect

    public Expression getSelect()

  Returns the select pattern to be evaluated to obtain the sort key value; `null` means select the current node.

  Returns:
    this sort key's select pattern

### getOrderExpr

    public Expression getOrderExpr()

  Returns the string expression specifying whether the keys should be sorted in ascending or descending order; `null` means ascending order.

  Returns:
    this sort key's order expression

### getLangExpr

    public Expression getLangExpr()

  Returns the string expression specifying the language of the sort keys; `null` means the language is determined from the system environment.

  Returns:
    this sort key's language expression

### getDataTypeExpr

    public Expression getDataTypeExpr()

  Returns the string expression specifying the data type of the sort keys; `null` means the sort keys are text.

  Returns:
    this sort key's data type expression

### getCaseOrderExpr

    public Expression getCaseOrderExpr()

  Returns the string expression specifying whether upper-case or lower-case characters sort first; `null` means use a language-dependent default.

  Returns:
    this sort key's case order expression

### dump

    public void dump(PrintWriter out,
                     int indent)

  Dumps this object to the specified output stream.

  Parameters:
    `out` - the output stream to write to
    `indent` - number of tabs to indent

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD